Vai al contenuto principale
GET
/
media
List media
curl --request GET \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "video",
    "url": "<string>",
    "status": "processing",
    "error": "<string>",
    "width": 123,
    "height": 123,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "previewUrl": "<string>"
  }
]

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Risposta

200 - application/json

Media list

id
string
obbligatorio
type
enum<string>
obbligatorio
Opzioni disponibili:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
obbligatorio
status
enum<string>
obbligatorio
Opzioni disponibili:
processing,
ready,
failed
error
string | null
obbligatorio
width
number
obbligatorio
height
number
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
previewUrl
string<uri> | null